> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Quote Ramp (Receive Based)

> By consuming this endpoint you can calculate the ramp details by providing the desired parameters. The response body will show the calculated ramp details based on them.

### **Request Body**

| **Field** | **Type** | **Required** | **Description** |
| --- | --- | --- | --- |
| `amountReceive` | float | Yes | This is the amount that we will send and you will receive as a result of your operation. This value will be used to calculate the required amount to send. |
| `rampType` | string | Yes | The type of order/ ramp you will create ("on_ramp": if you have Fiat and want to receive Stable Coin; "off_ramp": if you have Stable Coin and want to receive Fiat). |
| `symbolTypeSent` | string | Yes | The symbol of the token/fiat you will send us (COP, MXN, USD, USDC, USDT). |
| `symbolTypeReceived` | string | Yes | The symbol of the token/fiat we will send you (COP, MXN, USD, USDC, USDT). |
| `network` | string | Yes | The network used for the transaction (e.g. POLYGON, ERC20, TRC20, SOLANA, CELO). |
| `clientId` | string | Yes | Your unique client identifier, obtainable via the `Get infoClient` endpoint. |

### Response

The response is a JSON object representing the quote for the transaction, including costs and expected values.

| **Field** | **Description** |
| --- | --- |
| `amountSent` | This is the amount you will operate and send to us. |
| `amountToReceive` | This is the amount that we will send and you will receive as a result of your operation. (matches the input `amountReceive`). |
| `costInfra` | This is the infrastructure use cost applied to your transaction |
| `rateClient` | The exchange rate applied to calculate the transaction. |
| `symbolTypeSent` | The symbol of the token/fiat you will send us (COP, MXN, USD, USDC, USDT). |
| `symbolTypeReceived` | The symbol of the token/fiat we will send you (COP, MXN, USD, USDC, USDT). |
| `withdrawalFee` | Withdrawal costs related to the transaction. |
| `rampType` | The type of order/ ramp you will create ("on_ramp": if you have Fiat and want to receive Stable Coin; "off_ramp": if you have Stable Coin and want to receive Fiat). |
| `validUntil` | This is your quote's validity period. Time is expressed in UTC. |

The response also includes `quoteId`. Send it when creating the ramp to lock this quote; it can be used only once and only until `validUntil` (30 seconds by default). Fields whose value is zero are omitted from the response.



## OpenAPI

````yaml /business/openapi.json post /api/inverse/ramp/calculate
openapi: 3.1.0
info:
  title: Kravata Business API
  version: '1.0'
  description: >-
    Kravata Business API: on-ramp and off-ramp orders between fiat and
    stablecoins for your own accounts and wallets.
servers:
  - url: https://testapi.kravata.co
    description: Test
  - url: https://apiv2.kravata.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Wallets
  - name: Ramp Orders
  - name: Webhooks
paths:
  /api/inverse/ramp/calculate:
    post:
      tags:
        - Ramp Orders
      summary: Quote Ramp (Receive Based)
      description: >-
        By consuming this endpoint you can calculate the ramp details by
        providing the desired parameters. The response body will show the
        calculated ramp details based on them.


        ### **Request Body**


        | **Field** | **Type** | **Required** | **Description** |

        | --- | --- | --- | --- |

        | `amountReceive` | float | Yes | This is the amount that we will send
        and you will receive as a result of your operation. This value will be
        used to calculate the required amount to send. |

        | `rampType` | string | Yes | The type of order/ ramp you will create
        ("on_ramp": if you have Fiat and want to receive Stable Coin;
        "off_ramp": if you have Stable Coin and want to receive Fiat). |

        | `symbolTypeSent` | string | Yes | The symbol of the token/fiat you
        will send us (COP, MXN, USD, USDC, USDT). |

        | `symbolTypeReceived` | string | Yes | The symbol of the token/fiat we
        will send you (COP, MXN, USD, USDC, USDT). |

        | `network` | string | Yes | The network used for the transaction (e.g.
        POLYGON, ERC20, TRC20, SOLANA, CELO). |

        | `clientId` | string | Yes | Your unique client identifier, obtainable
        via the `Get infoClient` endpoint. |


        ### Response


        The response is a JSON object representing the quote for the
        transaction, including costs and expected values.


        | **Field** | **Description** |

        | --- | --- |

        | `amountSent` | This is the amount you will operate and send to us. |

        | `amountToReceive` | This is the amount that we will send and you will
        receive as a result of your operation. (matches the input
        `amountReceive`). |

        | `costInfra` | This is the infrastructure use cost applied to your
        transaction |

        | `rateClient` | The exchange rate applied to calculate the transaction.
        |

        | `symbolTypeSent` | The symbol of the token/fiat you will send us (COP,
        MXN, USD, USDC, USDT). |

        | `symbolTypeReceived` | The symbol of the token/fiat we will send you
        (COP, MXN, USD, USDC, USDT). |

        | `withdrawalFee` | Withdrawal costs related to the transaction. |

        | `rampType` | The type of order/ ramp you will create ("on_ramp": if
        you have Fiat and want to receive Stable Coin; "off_ramp": if you have
        Stable Coin and want to receive Fiat). |

        | `validUntil` | This is your quote's validity period. Time is expressed
        in UTC. |


        The response also includes `quoteId`. Send it when creating the ramp to
        lock this quote; it can be used only once and only until `validUntil`
        (30 seconds by default). Fields whose value is zero are omitted from the
        response.
      operationId: quote-ramp-receive-based
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                amountReceive:
                  type: integer
                clientId:
                  type: string
                rampType:
                  type: string
                symbolTypeSent:
                  type: string
                symbolTypeReceived:
                  type: string
                network:
                  type: string
            example:
              amountReceive: 1000
              clientId: '{{clientId}}'
              rampType: on_ramp
              symbolTypeSent: COP
              symbolTypeReceived: USDC
              network: POLYGON
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  amountReceive:
                    type: integer
                  amountSent:
                    type: number
                  costInfra:
                    type: number
                  rateClient:
                    type: number
                  feeGMF:
                    type: number
                  rampType:
                    type: string
                  symbolTypeReceived:
                    type: string
                  symbolTypeSent:
                    type: string
                  quoteId:
                    type: string
                  validUntil:
                    type: string
              examples:
                on-ramp-quote:
                  summary: On-ramp quote
                  value:
                    amountReceive: 1000
                    amountSent: 4412880.5
                    costInfra: 3200
                    rateClient: 4398.2
                    feeGMF: 17651.5
                    rampType: on_ramp
                    symbolTypeReceived: USDC
                    symbolTypeSent: COP
                    quoteId: 3f2b8f7e-6c1d-4a7e-9b1e-2d4c5a6b7c8d
                    validUntil: '2026-09-30T15:04:35.123456Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access token from POST /api/token (valid 5 minutes).

````